chiark / gitweb /
Import curl_7.56.1.orig.tar.gz
[curl.git] / docs / libcurl / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #***************************************************************************
18 #                                  _   _ ____  _
19 #  Project                     ___| | | |  _ \| |
20 #                             / __| | | | |_) | |
21 #                            | (__| |_| |  _ <| |___
22 #                             \___|\___/|_| \_\_____|
23 #
24 # Copyright (C) 1998 - 2017, Daniel Stenberg, <daniel@haxx.se>, et al.
25 #
26 # This software is licensed as described in the file COPYING, which
27 # you should have received as part of this distribution. The terms
28 # are also available at https://curl.haxx.se/docs/copyright.html.
29 #
30 # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31 # copies of the Software, and permit persons to whom the Software is
32 # furnished to do so, under the terms of the COPYING file.
33 #
34 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35 # KIND, either express or implied.
36 #
37 ###########################################################################
38
39 # Shared between Makefile.am and CMakeLists.txt
40
41 VPATH = @srcdir@
42 am__is_gnu_make = { \
43   if test -z '$(MAKELEVEL)'; then \
44     false; \
45   elif test -n '$(MAKE_HOST)'; then \
46     true; \
47   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
48     true; \
49   else \
50     false; \
51   fi; \
52 }
53 am__make_running_with_option = \
54   case $${target_option-} in \
55       ?) ;; \
56       *) echo "am__make_running_with_option: internal error: invalid" \
57               "target option '$${target_option-}' specified" >&2; \
58          exit 1;; \
59   esac; \
60   has_opt=no; \
61   sane_makeflags=$$MAKEFLAGS; \
62   if $(am__is_gnu_make); then \
63     sane_makeflags=$$MFLAGS; \
64   else \
65     case $$MAKEFLAGS in \
66       *\\[\ \   ]*) \
67         bs=\\; \
68         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
69           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
70     esac; \
71   fi; \
72   skip_next=no; \
73   strip_trailopt () \
74   { \
75     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
76   }; \
77   for flg in $$sane_makeflags; do \
78     test $$skip_next = yes && { skip_next=no; continue; }; \
79     case $$flg in \
80       *=*|--*) continue;; \
81         -*I) strip_trailopt 'I'; skip_next=yes;; \
82       -*I?*) strip_trailopt 'I';; \
83         -*O) strip_trailopt 'O'; skip_next=yes;; \
84       -*O?*) strip_trailopt 'O';; \
85         -*l) strip_trailopt 'l'; skip_next=yes;; \
86       -*l?*) strip_trailopt 'l';; \
87       -[dEDm]) skip_next=yes;; \
88       -[JT]) skip_next=yes;; \
89     esac; \
90     case $$flg in \
91       *$$target_option*) has_opt=yes; break;; \
92     esac; \
93   done; \
94   test $$has_opt = yes
95 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
96 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
97 pkgdatadir = $(datadir)/@PACKAGE@
98 pkgincludedir = $(includedir)/@PACKAGE@
99 pkglibdir = $(libdir)/@PACKAGE@
100 pkglibexecdir = $(libexecdir)/@PACKAGE@
101 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
102 install_sh_DATA = $(install_sh) -c -m 644
103 install_sh_PROGRAM = $(install_sh) -c
104 install_sh_SCRIPT = $(install_sh) -c
105 INSTALL_HEADER = $(INSTALL_DATA)
106 transform = $(program_transform_name)
107 NORMAL_INSTALL = :
108 PRE_INSTALL = :
109 POST_INSTALL = :
110 NORMAL_UNINSTALL = :
111 PRE_UNINSTALL = :
112 POST_UNINSTALL = :
113 build_triplet = @build@
114 host_triplet = @host@
115 subdir = docs/libcurl
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
118         $(top_srcdir)/m4/curl-compilers.m4 \
119         $(top_srcdir)/m4/curl-confopts.m4 \
120         $(top_srcdir)/m4/curl-functions.m4 \
121         $(top_srcdir)/m4/curl-openssl.m4 \
122         $(top_srcdir)/m4/curl-override.m4 \
123         $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
124         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
125         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
126         $(top_srcdir)/m4/xc-am-iface.m4 \
127         $(top_srcdir)/m4/xc-cc-check.m4 \
128         $(top_srcdir)/m4/xc-lt-iface.m4 \
129         $(top_srcdir)/m4/xc-translit.m4 \
130         $(top_srcdir)/m4/xc-val-flgs.m4 \
131         $(top_srcdir)/m4/zz40-xc-ovr.m4 \
132         $(top_srcdir)/m4/zz50-xc-ovr.m4 \
133         $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
134         $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
138         $(am__DIST_COMMON)
139 mkinstalldirs = $(install_sh) -d
140 CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
141 CONFIG_CLEAN_FILES =
142 CONFIG_CLEAN_VPATH_FILES =
143 AM_V_P = $(am__v_P_@AM_V@)
144 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
145 am__v_P_0 = false
146 am__v_P_1 = :
147 AM_V_GEN = $(am__v_GEN_@AM_V@)
148 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
149 am__v_GEN_0 = @echo "  GEN     " $@;
150 am__v_GEN_1 = 
151 AM_V_at = $(am__v_at_@AM_V@)
152 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
153 am__v_at_0 = @
154 am__v_at_1 = 
155 depcomp =
156 am__depfiles_maybe =
157 SOURCES =
158 DIST_SOURCES =
159 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
160         ctags-recursive dvi-recursive html-recursive info-recursive \
161         install-data-recursive install-dvi-recursive \
162         install-exec-recursive install-html-recursive \
163         install-info-recursive install-pdf-recursive \
164         install-ps-recursive install-recursive installcheck-recursive \
165         installdirs-recursive pdf-recursive ps-recursive \
166         tags-recursive uninstall-recursive
167 am__can_run_installinfo = \
168   case $$AM_UPDATE_INFO_DIR in \
169     n|no|NO) false;; \
170     *) (install-info --version) >/dev/null 2>&1;; \
171   esac
172 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
173 am__vpath_adj = case $$p in \
174     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
175     *) f=$$p;; \
176   esac;
177 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
178 am__install_max = 40
179 am__nobase_strip_setup = \
180   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
181 am__nobase_strip = \
182   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
183 am__nobase_list = $(am__nobase_strip_setup); \
184   for p in $$list; do echo "$$p $$p"; done | \
185   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
186   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
187     if (++n[$$2] == $(am__install_max)) \
188       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
189     END { for (dir in files) print dir, files[dir] }'
190 am__base_list = \
191   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
192   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
193 am__uninstall_files_from_dir = { \
194   test -z "$$files" \
195     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
196     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
197          $(am__cd) "$$dir" && rm -f $$files; }; \
198   }
199 man3dir = $(mandir)/man3
200 am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
201 MANS = $(man_MANS)
202 DATA = $(dist_m4macro_DATA)
203 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
204   distclean-recursive maintainer-clean-recursive
205 am__recursive_targets = \
206   $(RECURSIVE_TARGETS) \
207   $(RECURSIVE_CLEAN_TARGETS) \
208   $(am__extra_recursive_targets)
209 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
210         check recheck distdir
211 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
212 # Read a list of newline-separated strings from the standard input,
213 # and print each of them once, without duplicates.  Input order is
214 # *not* preserved.
215 am__uniquify_input = $(AWK) '\
216   BEGIN { nonempty = 0; } \
217   { items[$$0] = 1; nonempty = 1; } \
218   END { if (nonempty) { for (i in items) print i; }; } \
219 '
220 # Make sure the list of sources is unique.  This is necessary because,
221 # e.g., the same source file might be shared among _SOURCES variables
222 # for different programs/libraries.
223 am__define_uniq_tagged_files = \
224   list='$(am__tagged_files)'; \
225   unique=`for i in $$list; do \
226     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
227   done | $(am__uniquify_input)`
228 ETAGS = etags
229 CTAGS = ctags
230 am__tty_colors_dummy = \
231   mgn= red= grn= lgn= blu= brg= std=; \
232   am__color_tests=no
233 am__tty_colors = { \
234   $(am__tty_colors_dummy); \
235   if test "X$(AM_COLOR_TESTS)" = Xno; then \
236     am__color_tests=no; \
237   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
238     am__color_tests=yes; \
239   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
240     am__color_tests=yes; \
241   fi; \
242   if test $$am__color_tests = yes; then \
243     red='\e[0;31m'; \
244     grn='\e[0;32m'; \
245     lgn='\e[1;32m'; \
246     blu='\e[1;34m'; \
247     mgn='\e[0;35m'; \
248     brg='\e[1m'; \
249     std='\e[m'; \
250   fi; \
251 }
252 am__recheck_rx = ^[     ]*:recheck:[    ]*
253 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
254 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
255 # A command that, given a newline-separated list of test names on the
256 # standard input, print the name of the tests that are to be re-run
257 # upon "make recheck".
258 am__list_recheck_tests = $(AWK) '{ \
259   recheck = 1; \
260   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
261     { \
262       if (rc < 0) \
263         { \
264           if ((getline line2 < ($$0 ".log")) < 0) \
265             recheck = 0; \
266           break; \
267         } \
268       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
269         { \
270           recheck = 0; \
271           break; \
272         } \
273       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
274         { \
275           break; \
276         } \
277     }; \
278   if (recheck) \
279     print $$0; \
280   close ($$0 ".trs"); \
281   close ($$0 ".log"); \
282 }'
283 # A command that, given a newline-separated list of test names on the
284 # standard input, create the global log from their .trs and .log files.
285 am__create_global_log = $(AWK) ' \
286 function fatal(msg) \
287 { \
288   print "fatal: making $@: " msg | "cat >&2"; \
289   exit 1; \
290 } \
291 function rst_section(header) \
292 { \
293   print header; \
294   len = length(header); \
295   for (i = 1; i <= len; i = i + 1) \
296     printf "="; \
297   printf "\n\n"; \
298 } \
299 { \
300   copy_in_global_log = 1; \
301   global_test_result = "RUN"; \
302   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
303     { \
304       if (rc < 0) \
305          fatal("failed to read from " $$0 ".trs"); \
306       if (line ~ /$(am__global_test_result_rx)/) \
307         { \
308           sub("$(am__global_test_result_rx)", "", line); \
309           sub("[        ]*$$", "", line); \
310           global_test_result = line; \
311         } \
312       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
313         copy_in_global_log = 0; \
314     }; \
315   if (copy_in_global_log) \
316     { \
317       rst_section(global_test_result ": " $$0); \
318       while ((rc = (getline line < ($$0 ".log"))) != 0) \
319       { \
320         if (rc < 0) \
321           fatal("failed to read from " $$0 ".log"); \
322         print line; \
323       }; \
324       printf "\n"; \
325     }; \
326   close ($$0 ".trs"); \
327   close ($$0 ".log"); \
328 }'
329 # Restructured Text title.
330 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
331 # Solaris 10 'make', and several other traditional 'make' implementations,
332 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
333 # by disabling -e (using the XSI extension "set +e") if it's set.
334 am__sh_e_setup = case $$- in *e*) set +e;; esac
335 # Default flags passed to test drivers.
336 am__common_driver_flags = \
337   --color-tests "$$am__color_tests" \
338   --enable-hard-errors "$$am__enable_hard_errors" \
339   --expect-failure "$$am__expect_failure"
340 # To be inserted before the command running the test.  Creates the
341 # directory for the log if needed.  Stores in $dir the directory
342 # containing $f, in $tst the test, in $log the log.  Executes the
343 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
344 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
345 # will run the test scripts (or their associated LOG_COMPILER, if
346 # thy have one).
347 am__check_pre = \
348 $(am__sh_e_setup);                                      \
349 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
350 $(am__tty_colors);                                      \
351 srcdir=$(srcdir); export srcdir;                        \
352 case "$@" in                                            \
353   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
354     *) am__odir=.;;                                     \
355 esac;                                                   \
356 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
357   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
358 if test -f "./$$f"; then dir=./;                        \
359 elif test -f "$$f"; then dir=;                          \
360 else dir="$(srcdir)/"; fi;                              \
361 tst=$$dir$$f; log='$@';                                 \
362 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
363   am__enable_hard_errors=no;                            \
364 else                                                    \
365   am__enable_hard_errors=yes;                           \
366 fi;                                                     \
367 case " $(XFAIL_TESTS) " in                              \
368   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
369     am__expect_failure=yes;;                            \
370   *)                                                    \
371     am__expect_failure=no;;                             \
372 esac;                                                   \
373 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
374 # A shell command to get the names of the tests scripts with any registered
375 # extension removed (i.e., equivalently, the names of the test logs, with
376 # the '.log' extension removed).  The result is saved in the shell variable
377 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
378 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
379 # since that might cause problem with VPATH rewrites for suffix-less tests.
380 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
381 am__set_TESTS_bases = \
382   bases='$(TEST_LOGS)'; \
383   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
384   bases=`echo $$bases`
385 RECHECK_LOGS = $(TEST_LOGS)
386 TEST_SUITE_LOG = test-suite.log
387 TEST_EXTENSIONS = @EXEEXT@ .test
388 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
389 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
390 am__set_b = \
391   case '$@' in \
392     */*) \
393       case '$*' in \
394         */*) b='$*';; \
395           *) b=`echo '$@' | sed 's/\.log$$//'`; \
396        esac;; \
397     *) \
398       b='$*';; \
399   esac
400 am__test_logs1 = $(TESTS:=.log)
401 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
402 TEST_LOGS = $(am__test_logs2:.test.log=.log)
403 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
404 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
405         $(TEST_LOG_FLAGS)
406 DIST_SUBDIRS = $(SUBDIRS)
407 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc \
408         $(top_srcdir)/test-driver
409 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
410 am__relativize = \
411   dir0=`pwd`; \
412   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
413   sed_rest='s,^[^/]*/*,,'; \
414   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
415   sed_butlast='s,/*[^/]*$$,,'; \
416   while test -n "$$dir1"; do \
417     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
418     if test "$$first" != "."; then \
419       if test "$$first" = ".."; then \
420         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
421         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
422       else \
423         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
424         if test "$$first2" = "$$first"; then \
425           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
426         else \
427           dir2="../$$dir2"; \
428         fi; \
429         dir0="$$dir0"/"$$first"; \
430       fi; \
431     fi; \
432     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
433   done; \
434   reldir="$$dir2"
435 ACLOCAL = @ACLOCAL@
436 AMTAR = @AMTAR@
437 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
438 AR = @AR@
439 AS = @AS@
440 AUTOCONF = @AUTOCONF@
441 AUTOHEADER = @AUTOHEADER@
442 AUTOMAKE = @AUTOMAKE@
443 AWK = @AWK@
444 BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
445 CC = @CC@
446 CCDEPMODE = @CCDEPMODE@
447 CFLAGS = @CFLAGS@
448 CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
449 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
450 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
451 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
452 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
453 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
454 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
455 CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
456 CPP = @CPP@
457 CPPFLAGS = @CPPFLAGS@
458 CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
459 CURLVERSION = @CURLVERSION@
460 CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
461 CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
462 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
463 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
464 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
465 CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
466 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
467 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
468 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
469 CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
470 CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
471 CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
472 CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
473 CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
474 CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
475 CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
476 CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
477 CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
478 CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
479 CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
480 CURL_WITH_MULTI_SSL = @CURL_WITH_MULTI_SSL@
481 CYGPATH_W = @CYGPATH_W@
482 DEFAULT_SSL_BACKEND = @DEFAULT_SSL_BACKEND@
483 DEFS = @DEFS@
484 DEPDIR = @DEPDIR@
485 DLLTOOL = @DLLTOOL@
486 DSYMUTIL = @DSYMUTIL@
487 DUMPBIN = @DUMPBIN@
488 ECHO_C = @ECHO_C@
489 ECHO_N = @ECHO_N@
490 ECHO_T = @ECHO_T@
491 EGREP = @EGREP@
492 ENABLE_SHARED = @ENABLE_SHARED@
493 ENABLE_STATIC = @ENABLE_STATIC@
494 EXEEXT = @EXEEXT@
495 FGREP = @FGREP@
496 GCOV = @GCOV@
497 GENHTML = @GENHTML@
498 GREP = @GREP@
499 HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
500 HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
501 HAVE_LIBZ = @HAVE_LIBZ@
502 HAVE_OPENSSL_SRP = @HAVE_OPENSSL_SRP@
503 IDN_ENABLED = @IDN_ENABLED@
504 INSTALL = @INSTALL@
505 INSTALL_DATA = @INSTALL_DATA@
506 INSTALL_PROGRAM = @INSTALL_PROGRAM@
507 INSTALL_SCRIPT = @INSTALL_SCRIPT@
508 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
509 IPV6_ENABLED = @IPV6_ENABLED@
510 LCOV = @LCOV@
511 LD = @LD@
512 LDFLAGS = @LDFLAGS@
513 LIBCURL_LIBS = @LIBCURL_LIBS@
514 LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
515 LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
516 LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
517 LIBOBJS = @LIBOBJS@
518 LIBS = @LIBS@
519 LIBTOOL = @LIBTOOL@
520 LIPO = @LIPO@
521 LN_S = @LN_S@
522 LTLIBOBJS = @LTLIBOBJS@
523 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
524 MAINT = @MAINT@
525 MAKEINFO = @MAKEINFO@
526 MANIFEST_TOOL = @MANIFEST_TOOL@
527 MANOPT = @MANOPT@
528 MKDIR_P = @MKDIR_P@
529 NM = @NM@
530 NMEDIT = @NMEDIT@
531 NROFF = @NROFF@
532 NSS_LIBS = @NSS_LIBS@
533 OBJDUMP = @OBJDUMP@
534 OBJEXT = @OBJEXT@
535 OTOOL = @OTOOL@
536 OTOOL64 = @OTOOL64@
537 PACKAGE = @PACKAGE@
538 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
539 PACKAGE_NAME = @PACKAGE_NAME@
540 PACKAGE_STRING = @PACKAGE_STRING@
541 PACKAGE_TARNAME = @PACKAGE_TARNAME@
542 PACKAGE_URL = @PACKAGE_URL@
543 PACKAGE_VERSION = @PACKAGE_VERSION@
544 PATH_SEPARATOR = @PATH_SEPARATOR@
545 PERL = @PERL@
546 PKGADD_NAME = @PKGADD_NAME@
547 PKGADD_PKG = @PKGADD_PKG@
548 PKGADD_VENDOR = @PKGADD_VENDOR@
549 PKGCONFIG = @PKGCONFIG@
550 RANDOM_FILE = @RANDOM_FILE@
551 RANLIB = @RANLIB@
552 REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
553 SED = @SED@
554 SET_MAKE = @SET_MAKE@
555 SHELL = @SHELL@
556 SSL_ENABLED = @SSL_ENABLED@
557 SSL_LIBS = @SSL_LIBS@
558 STRIP = @STRIP@
559 SUPPORT_FEATURES = @SUPPORT_FEATURES@
560 SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
561 USE_ARES = @USE_ARES@
562 USE_AXTLS = @USE_AXTLS@
563 USE_CYASSL = @USE_CYASSL@
564 USE_DARWINSSL = @USE_DARWINSSL@
565 USE_GNUTLS = @USE_GNUTLS@
566 USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
567 USE_LIBRTMP = @USE_LIBRTMP@
568 USE_LIBSSH2 = @USE_LIBSSH2@
569 USE_MBEDTLS = @USE_MBEDTLS@
570 USE_NGHTTP2 = @USE_NGHTTP2@
571 USE_NSS = @USE_NSS@
572 USE_OPENLDAP = @USE_OPENLDAP@
573 USE_POLARSSL = @USE_POLARSSL@
574 USE_SCHANNEL = @USE_SCHANNEL@
575 USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
576 USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
577 VERSION = @VERSION@
578 VERSIONNUM = @VERSIONNUM@
579 ZLIB_LIBS = @ZLIB_LIBS@
580 ZSH_FUNCTIONS_DIR = @ZSH_FUNCTIONS_DIR@
581 abs_builddir = @abs_builddir@
582 abs_srcdir = @abs_srcdir@
583 abs_top_builddir = @abs_top_builddir@
584 abs_top_srcdir = @abs_top_srcdir@
585 ac_ct_AR = @ac_ct_AR@
586 ac_ct_CC = @ac_ct_CC@
587 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
588 am__include = @am__include@
589 am__leading_dot = @am__leading_dot@
590 am__quote = @am__quote@
591 am__tar = @am__tar@
592 am__untar = @am__untar@
593 bindir = @bindir@
594 build = @build@
595 build_alias = @build_alias@
596 build_cpu = @build_cpu@
597 build_os = @build_os@
598 build_vendor = @build_vendor@
599 builddir = @builddir@
600 datadir = @datadir@
601 datarootdir = @datarootdir@
602 docdir = @docdir@
603 dvidir = @dvidir@
604 exec_prefix = @exec_prefix@
605 host = @host@
606 host_alias = @host_alias@
607 host_cpu = @host_cpu@
608 host_os = @host_os@
609 host_vendor = @host_vendor@
610 htmldir = @htmldir@
611 includedir = @includedir@
612 infodir = @infodir@
613 install_sh = @install_sh@
614 libdir = @libdir@
615 libexecdir = @libexecdir@
616 libext = @libext@
617 localedir = @localedir@
618 localstatedir = @localstatedir@
619 mandir = @mandir@
620 mkdir_p = @mkdir_p@
621 oldincludedir = @oldincludedir@
622 pdfdir = @pdfdir@
623 prefix = @prefix@
624 program_transform_name = @program_transform_name@
625 psdir = @psdir@
626 runstatedir = @runstatedir@
627 sbindir = @sbindir@
628 sharedstatedir = @sharedstatedir@
629 srcdir = @srcdir@
630 subdirs = @subdirs@
631 sysconfdir = @sysconfdir@
632 target_alias = @target_alias@
633 top_build_prefix = @top_build_prefix@
634 top_builddir = @top_builddir@
635 top_srcdir = @top_srcdir@
636 AUTOMAKE_OPTIONS = foreign no-dependencies
637 SUBDIRS = opts
638 man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3      \
639   curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3           \
640   curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3            \
641   curl_slist_append.3 curl_slist_free_all.3 curl_version.3               \
642   curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3          \
643   curl_strequal.3 curl_strnequal.3  curl_mprintf.3 curl_global_init.3    \
644   curl_global_cleanup.3 curl_multi_add_handle.3 curl_multi_cleanup.3     \
645   curl_multi_fdset.3 curl_multi_info_read.3 curl_multi_init.3            \
646   curl_multi_perform.3 curl_multi_remove_handle.3 curl_share_cleanup.3   \
647   curl_share_init.3 curl_share_setopt.3 libcurl.3 libcurl-easy.3         \
648   libcurl-multi.3 libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3  \
649   curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3     \
650   libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3                \
651   curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3           \
652   curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3                \
653   curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3                    \
654   curl_multi_socket_action.3 curl_multi_wait.3 libcurl-symbols.3         \
655   libcurl-thread.3 curl_multi_socket_all.3 curl_global_sslset.3          \
656   curl_mime_init.3 curl_mime_free.3 curl_mime_addpart.3 curl_mime_name.3 \
657   curl_mime_data.3 curl_mime_data_cb.3 curl_mime_filedata.3              \
658   curl_mime_filename.3 curl_mime_subparts.3                              \
659   curl_mime_type.3 curl_mime_headers.3 curl_mime_encoder.3
660
661 man_DISTMANS = $(man_MANS:.3=.3.dist)
662 HTMLPAGES = $(man_MANS:.3=.html)
663 PDFPAGES = $(man_MANS:.3=.pdf)
664 m4macrodir = $(datadir)/aclocal
665 dist_m4macro_DATA = libcurl.m4
666 CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) $(man_DISTMANS) \
667   libcurl-symbols.3
668
669 EXTRA_DIST = $(man_MANS) index.html ABI symbols-in-versions symbols.pl  \
670   mksymbolsmanpage.pl CMakeLists.txt
671
672 MAN2HTML = roffit --mandir=. $< >$@
673 SUFFIXES = .3 .html
674
675 # Make sure each option man page is referenced in the main man page
676 TESTS = check-easy check-multi
677 LOG_COMPILER = $(PERL)
678 # The test fails if the log file contains any text
679 AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
680 all: all-recursive
681
682 .SUFFIXES:
683 .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
684 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
685         @for dep in $?; do \
686           case '$(am__configure_deps)' in \
687             *$$dep*) \
688               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
689                 && { if test -f $@; then exit 0; else break; fi; }; \
690               exit 1;; \
691           esac; \
692         done; \
693         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
694         $(am__cd) $(top_srcdir) && \
695           $(AUTOMAKE) --foreign docs/libcurl/Makefile
696 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
697         @case '$?' in \
698           *config.status*) \
699             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
700           *) \
701             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
702             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
703         esac;
704 $(srcdir)/Makefile.inc $(am__empty):
705
706 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
707         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
708
709 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
710         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
711 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
712         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713 $(am__aclocal_m4_deps):
714
715 mostlyclean-libtool:
716         -rm -f *.lo
717
718 clean-libtool:
719         -rm -rf .libs _libs
720 install-man3: $(man_MANS)
721         @$(NORMAL_INSTALL)
722         @list1=''; \
723         list2='$(man_MANS)'; \
724         test -n "$(man3dir)" \
725           && test -n "`echo $$list1$$list2`" \
726           || exit 0; \
727         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
728         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
729         { for i in $$list1; do echo "$$i"; done;  \
730         if test -n "$$list2"; then \
731           for i in $$list2; do echo "$$i"; done \
732             | sed -n '/\.3[a-z]*$$/p'; \
733         fi; \
734         } | while read p; do \
735           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
736           echo "$$d$$p"; echo "$$p"; \
737         done | \
738         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
739               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
740         sed 'N;N;s,\n, ,g' | { \
741         list=; while read file base inst; do \
742           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
743             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
744             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
745           fi; \
746         done; \
747         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
748         while read files; do \
749           test -z "$$files" || { \
750             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
751             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
752         done; }
753
754 uninstall-man3:
755         @$(NORMAL_UNINSTALL)
756         @list=''; test -n "$(man3dir)" || exit 0; \
757         files=`{ for i in $$list; do echo "$$i"; done; \
758         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
759           sed -n '/\.3[a-z]*$$/p'; \
760         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
761               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
762         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
763 install-dist_m4macroDATA: $(dist_m4macro_DATA)
764         @$(NORMAL_INSTALL)
765         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
766         if test -n "$$list"; then \
767           echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
768           $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
769         fi; \
770         for p in $$list; do \
771           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
772           echo "$$d$$p"; \
773         done | $(am__base_list) | \
774         while read files; do \
775           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
776           $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
777         done
778
779 uninstall-dist_m4macroDATA:
780         @$(NORMAL_UNINSTALL)
781         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
782         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
783         dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
784
785 # This directory's subdirectories are mostly independent; you can cd
786 # into them and run 'make' without going through this Makefile.
787 # To change the values of 'make' variables: instead of editing Makefiles,
788 # (1) if the variable is set in 'config.status', edit 'config.status'
789 #     (which will cause the Makefiles to be regenerated when you run 'make');
790 # (2) otherwise, pass the desired values on the 'make' command line.
791 $(am__recursive_targets):
792         @fail=; \
793         if $(am__make_keepgoing); then \
794           failcom='fail=yes'; \
795         else \
796           failcom='exit 1'; \
797         fi; \
798         dot_seen=no; \
799         target=`echo $@ | sed s/-recursive//`; \
800         case "$@" in \
801           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
802           *) list='$(SUBDIRS)' ;; \
803         esac; \
804         for subdir in $$list; do \
805           echo "Making $$target in $$subdir"; \
806           if test "$$subdir" = "."; then \
807             dot_seen=yes; \
808             local_target="$$target-am"; \
809           else \
810             local_target="$$target"; \
811           fi; \
812           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
813           || eval $$failcom; \
814         done; \
815         if test "$$dot_seen" = "no"; then \
816           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
817         fi; test -z "$$fail"
818
819 ID: $(am__tagged_files)
820         $(am__define_uniq_tagged_files); mkid -fID $$unique
821 tags: tags-recursive
822 TAGS: tags
823
824 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
825         set x; \
826         here=`pwd`; \
827         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
828           include_option=--etags-include; \
829           empty_fix=.; \
830         else \
831           include_option=--include; \
832           empty_fix=; \
833         fi; \
834         list='$(SUBDIRS)'; for subdir in $$list; do \
835           if test "$$subdir" = .; then :; else \
836             test ! -f $$subdir/TAGS || \
837               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
838           fi; \
839         done; \
840         $(am__define_uniq_tagged_files); \
841         shift; \
842         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
843           test -n "$$unique" || unique=$$empty_fix; \
844           if test $$# -gt 0; then \
845             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
846               "$$@" $$unique; \
847           else \
848             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
849               $$unique; \
850           fi; \
851         fi
852 ctags: ctags-recursive
853
854 CTAGS: ctags
855 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
856         $(am__define_uniq_tagged_files); \
857         test -z "$(CTAGS_ARGS)$$unique" \
858           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
859              $$unique
860
861 GTAGS:
862         here=`$(am__cd) $(top_builddir) && pwd` \
863           && $(am__cd) $(top_srcdir) \
864           && gtags -i $(GTAGS_ARGS) "$$here"
865 cscopelist: cscopelist-recursive
866
867 cscopelist-am: $(am__tagged_files)
868         list='$(am__tagged_files)'; \
869         case "$(srcdir)" in \
870           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
871           *) sdir=$(subdir)/$(srcdir) ;; \
872         esac; \
873         for i in $$list; do \
874           if test -f "$$i"; then \
875             echo "$(subdir)/$$i"; \
876           else \
877             echo "$$sdir/$$i"; \
878           fi; \
879         done >> $(top_builddir)/cscope.files
880
881 distclean-tags:
882         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
883
884 # Recover from deleted '.trs' file; this should ensure that
885 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
886 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
887 # to avoid problems with "make -n".
888 .log.trs:
889         rm -f $< $@
890         $(MAKE) $(AM_MAKEFLAGS) $<
891
892 # Leading 'am--fnord' is there to ensure the list of targets does not
893 # expand to empty, as could happen e.g. with make check TESTS=''.
894 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
895 am--force-recheck:
896         @:
897
898 $(TEST_SUITE_LOG): $(TEST_LOGS)
899         @$(am__set_TESTS_bases); \
900         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
901         redo_bases=`for i in $$bases; do \
902                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
903                     done`; \
904         if test -n "$$redo_bases"; then \
905           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
906           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
907           if $(am__make_dryrun); then :; else \
908             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
909           fi; \
910         fi; \
911         if test -n "$$am__remaking_logs"; then \
912           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
913                "recursion detected" >&2; \
914         elif test -n "$$redo_logs"; then \
915           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
916         fi; \
917         if $(am__make_dryrun); then :; else \
918           st=0;  \
919           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
920           for i in $$redo_bases; do \
921             test -f $$i.trs && test -r $$i.trs \
922               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
923             test -f $$i.log && test -r $$i.log \
924               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
925           done; \
926           test $$st -eq 0 || exit 1; \
927         fi
928         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
929         ws='[   ]'; \
930         results=`for b in $$bases; do echo $$b.trs; done`; \
931         test -n "$$results" || results=/dev/null; \
932         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
933         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
934         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
935         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
936         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
937         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
938         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
939         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
940           success=true; \
941         else \
942           success=false; \
943         fi; \
944         br='==================='; br=$$br$$br$$br$$br; \
945         result_count () \
946         { \
947             if test x"$$1" = x"--maybe-color"; then \
948               maybe_colorize=yes; \
949             elif test x"$$1" = x"--no-color"; then \
950               maybe_colorize=no; \
951             else \
952               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
953             fi; \
954             shift; \
955             desc=$$1 count=$$2; \
956             if test $$maybe_colorize = yes && test $$count -gt 0; then \
957               color_start=$$3 color_end=$$std; \
958             else \
959               color_start= color_end=; \
960             fi; \
961             echo "$${color_start}# $$desc $$count$${color_end}"; \
962         }; \
963         create_testsuite_report () \
964         { \
965           result_count $$1 "TOTAL:" $$all   "$$brg"; \
966           result_count $$1 "PASS: " $$pass  "$$grn"; \
967           result_count $$1 "SKIP: " $$skip  "$$blu"; \
968           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
969           result_count $$1 "FAIL: " $$fail  "$$red"; \
970           result_count $$1 "XPASS:" $$xpass "$$red"; \
971           result_count $$1 "ERROR:" $$error "$$mgn"; \
972         }; \
973         {                                                               \
974           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
975             $(am__rst_title);                                           \
976           create_testsuite_report --no-color;                           \
977           echo;                                                         \
978           echo ".. contents:: :depth: 2";                               \
979           echo;                                                         \
980           for b in $$bases; do echo $$b; done                           \
981             | $(am__create_global_log);                                 \
982         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
983         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
984         if $$success; then                                              \
985           col="$$grn";                                                  \
986          else                                                           \
987           col="$$red";                                                  \
988           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
989         fi;                                                             \
990         echo "$${col}$$br$${std}";                                      \
991         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
992         echo "$${col}$$br$${std}";                                      \
993         create_testsuite_report --maybe-color;                          \
994         echo "$$col$$br$$std";                                          \
995         if $$success; then :; else                                      \
996           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
997           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
998             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
999           fi;                                                           \
1000           echo "$$col$$br$$std";                                        \
1001         fi;                                                             \
1002         $$success || exit 1
1003
1004 check-TESTS:
1005         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1006         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1007         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1008         @set +e; $(am__set_TESTS_bases); \
1009         log_list=`for i in $$bases; do echo $$i.log; done`; \
1010         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1011         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1012         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1013         exit $$?;
1014 recheck: all 
1015         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1016         @set +e; $(am__set_TESTS_bases); \
1017         bases=`for i in $$bases; do echo $$i; done \
1018                  | $(am__list_recheck_tests)` || exit 1; \
1019         log_list=`for i in $$bases; do echo $$i.log; done`; \
1020         log_list=`echo $$log_list`; \
1021         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1022                 am__force_recheck=am--force-recheck \
1023                 TEST_LOGS="$$log_list"; \
1024         exit $$?
1025 check-easy.log: check-easy
1026         @p='check-easy'; \
1027         b='check-easy'; \
1028         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1029         --log-file $$b.log --trs-file $$b.trs \
1030         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1031         "$$tst" $(AM_TESTS_FD_REDIRECT)
1032 check-multi.log: check-multi
1033         @p='check-multi'; \
1034         b='check-multi'; \
1035         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1036         --log-file $$b.log --trs-file $$b.trs \
1037         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1038         "$$tst" $(AM_TESTS_FD_REDIRECT)
1039 .test.log:
1040         @p='$<'; \
1041         $(am__set_b); \
1042         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1043         --log-file $$b.log --trs-file $$b.trs \
1044         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1045         "$$tst" $(AM_TESTS_FD_REDIRECT)
1046 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1047 @am__EXEEXT_TRUE@       @p='$<'; \
1048 @am__EXEEXT_TRUE@       $(am__set_b); \
1049 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1050 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1051 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1052 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1053
1054 distdir: $(DISTFILES)
1055         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1056         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1057         list='$(DISTFILES)'; \
1058           dist_files=`for file in $$list; do echo $$file; done | \
1059           sed -e "s|^$$srcdirstrip/||;t" \
1060               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1061         case $$dist_files in \
1062           */*) $(MKDIR_P) `echo "$$dist_files" | \
1063                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1064                            sort -u` ;; \
1065         esac; \
1066         for file in $$dist_files; do \
1067           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1068           if test -d $$d/$$file; then \
1069             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1070             if test -d "$(distdir)/$$file"; then \
1071               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1072             fi; \
1073             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1074               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1075               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1076             fi; \
1077             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1078           else \
1079             test -f "$(distdir)/$$file" \
1080             || cp -p $$d/$$file "$(distdir)/$$file" \
1081             || exit 1; \
1082           fi; \
1083         done
1084         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1085           if test "$$subdir" = .; then :; else \
1086             $(am__make_dryrun) \
1087               || test -d "$(distdir)/$$subdir" \
1088               || $(MKDIR_P) "$(distdir)/$$subdir" \
1089               || exit 1; \
1090             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1091             $(am__relativize); \
1092             new_distdir=$$reldir; \
1093             dir1=$$subdir; dir2="$(top_distdir)"; \
1094             $(am__relativize); \
1095             new_top_distdir=$$reldir; \
1096             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1097             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1098             ($(am__cd) $$subdir && \
1099               $(MAKE) $(AM_MAKEFLAGS) \
1100                 top_distdir="$$new_top_distdir" \
1101                 distdir="$$new_distdir" \
1102                 am__remove_distdir=: \
1103                 am__skip_length_check=: \
1104                 am__skip_mode_fix=: \
1105                 distdir) \
1106               || exit 1; \
1107           fi; \
1108         done
1109 check-am: all-am
1110         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1111 check: check-recursive
1112 all-am: Makefile $(MANS) $(DATA)
1113 installdirs: installdirs-recursive
1114 installdirs-am:
1115         for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
1116           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1117         done
1118 install: install-recursive
1119 install-exec: install-exec-recursive
1120 install-data: install-data-recursive
1121 uninstall: uninstall-recursive
1122
1123 install-am: all-am
1124         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1125
1126 installcheck: installcheck-recursive
1127 install-strip:
1128         if test -z '$(STRIP)'; then \
1129           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1130             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1131               install; \
1132         else \
1133           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1134             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1135             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1136         fi
1137 mostlyclean-generic:
1138         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1139         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1140         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1141
1142 clean-generic:
1143         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1144
1145 distclean-generic:
1146         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1147         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1148
1149 maintainer-clean-generic:
1150         @echo "This command is intended for maintainers to use"
1151         @echo "it deletes files that may require special tools to rebuild."
1152 clean: clean-recursive
1153
1154 clean-am: clean-generic clean-libtool mostlyclean-am
1155
1156 distclean: distclean-recursive
1157         -rm -f Makefile
1158 distclean-am: clean-am distclean-generic distclean-tags
1159
1160 dvi: dvi-recursive
1161
1162 dvi-am:
1163
1164 html-am:
1165
1166 info: info-recursive
1167
1168 info-am:
1169
1170 install-data-am: install-dist_m4macroDATA install-man
1171
1172 install-dvi: install-dvi-recursive
1173
1174 install-dvi-am:
1175
1176 install-exec-am:
1177
1178 install-html: install-html-recursive
1179
1180 install-html-am:
1181
1182 install-info: install-info-recursive
1183
1184 install-info-am:
1185
1186 install-man: install-man3
1187
1188 install-pdf: install-pdf-recursive
1189
1190 install-pdf-am:
1191
1192 install-ps: install-ps-recursive
1193
1194 install-ps-am:
1195
1196 installcheck-am:
1197
1198 maintainer-clean: maintainer-clean-recursive
1199         -rm -f Makefile
1200 maintainer-clean-am: distclean-am maintainer-clean-generic
1201
1202 mostlyclean: mostlyclean-recursive
1203
1204 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1205
1206 pdf-am:
1207
1208 ps: ps-recursive
1209
1210 ps-am:
1211
1212 uninstall-am: uninstall-dist_m4macroDATA uninstall-man
1213
1214 uninstall-man: uninstall-man3
1215
1216 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1217
1218 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1219         check-TESTS check-am clean clean-generic clean-libtool \
1220         cscopelist-am ctags ctags-am distclean distclean-generic \
1221         distclean-libtool distclean-tags distdir dvi dvi-am html \
1222         html-am info info-am install install-am install-data \
1223         install-data-am install-dist_m4macroDATA install-dvi \
1224         install-dvi-am install-exec install-exec-am install-html \
1225         install-html-am install-info install-info-am install-man \
1226         install-man3 install-pdf install-pdf-am install-ps \
1227         install-ps-am install-strip installcheck installcheck-am \
1228         installdirs installdirs-am maintainer-clean \
1229         maintainer-clean-generic mostlyclean mostlyclean-generic \
1230         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1231         uninstall uninstall-am uninstall-dist_m4macroDATA \
1232         uninstall-man uninstall-man3
1233
1234 .PRECIOUS: Makefile
1235
1236
1237 libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
1238         perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
1239
1240 html: $(HTMLPAGES)
1241         cd opts && $(MAKE) html
1242
1243 .3.html:
1244         $(MAN2HTML)
1245
1246 pdf: $(PDFPAGES)
1247         cd opts && $(MAKE) pdf
1248
1249 .3.pdf:
1250         @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
1251         groff -Tps -man $< >$$foo.ps; \
1252         ps2pdf $$foo.ps $@; \
1253         rm $$foo.ps; \
1254         echo "converted $< to $@")
1255
1256 check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
1257         OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1258         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1259
1260 check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
1261         OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1262         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1263
1264 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1265 # Otherwise a system limit (for SysV at least) may be exceeded.
1266 .NOEXPORT: